SSL_GET_SSL_CTX(3)

NAME
SSL_get_SSL_CTX - get the SSL_CTX from which an SSL is created

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
SSL_CTX *
SSL_get_SSL_CTX(const SSL *ssl);

DESCRIPTION
SSL_get_SSL_CTX() returns a pointer to the SSL_CTX object from which ssl was created with SSL_new(3).

RETURN VALUES
The pointer to the SSL_CTX object is returned.

SEE ALSO
ssl(3), SSL_new(3)

HISTORY
SSL_get_SSL_CTX() first appeared in SSLeay 0.5.1 and has been available since OpenBSD 2.4.